ATA_SCSI_RBUF_GET(9)

NAME
ata_scsi_rbuf_get - Map response buffer.

SYNOPSIS

void * ata_scsi_rbuf_get(struct scsi_cmnd * cmd, bool copy_in, unsigned long * flags);

ARGUMENTS

cmd
    SCSI command containing buffer to be mapped.

copy_in
    copy in from user buffer

flags
    unsigned long variable to store irq enable status

DESCRIPTION

Prepare buffer for simulated SCSI commands.

LOCKING

spin_lock_irqsave(ata_scsi_rbuf_lock) on success

RETURNS

Pointer to response buffer.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT